
<!doctype html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:form="http://www.w3.org/1999/xhtml">
<head>
    <!--    <meta charset="utf-8">-->
    <!--    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">-->
    <!--    <meta name="description" content="">-->
    <!--    <meta name="author" content="">-->
    <link rel="icon" href="/docs/4.0/assets/img/favicons/favicon.ico">

    <title>Starter Template for Bootstrap</title>

    <link rel="canonical" href="https://getbootstrap.com/docs/4.0/examples/starter-template/">

    <!-- Bootstrap core CSS -->
    <link th:href="@{/css/bootstrap.css}" rel="stylesheet" media="screen"/>

    <!-- Custom styles for this template -->
    <link th:href="@{/css/starter-template.css}" rel="stylesheet" media="screen"/>
</head>

<body>

<nav class="navbar navbar-expand-md navbar-dark bg-dark fixed-top">
    <a class="navbar-brand" href="#">Navbar</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault" aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarsExampleDefault">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item active">
                <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="#">Link</a>
            </li>
            <li class="nav-item">
                <a class="nav-link disabled" href="#">Disabled</a>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="http://example.com" id="dropdown01" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Dropdown</a>
                <div class="dropdown-menu" aria-labelledby="dropdown01">
                    <a class="dropdown-item" href="#">Action</a>
                    <a class="dropdown-item" href="#">Another action</a>
                    <a class="dropdown-item" href="#">Something else here</a>
                </div>
            </li>
        </ul>
        <form class="form-inline my-2 my-lg-0">
            <input class="form-control mr-sm-2" type="text" placeholder="Search" aria-label="Search">
            <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
        </form>
    </div>
</nav>

<main role="main" class="container">

    <h1>Data Customer</h1>
    <a href="/customer/report/pdf" class="btn btn-primary">Buat Laporan PDF</a>
    <a href="/kota" class="btn btn-info">List Kota</a>

    <div th:if="${not #lists.isEmpty(listCust)}">
        <table class="table table-striped">
            <thead>
            <tr>
                <th scope="col">ID</th>
                <th scope="col">Nama</th>
                <th scope="col">Alamat</th>
                <th scope="col">Kota</th>
                <th scope="col">Pendapatan</th>
                <th scope="col">Action</th>
            </tr>
            </thead>
            <tbody>
            <tr th:each="d : ${listCust}">
                <td th:text="${d.id}"></td>
                <td th:text="${d.nama}"></td>
                <td th:text="${d.alamat}"></td>
                <td th:text="${d.kota.nama}"></td>
                <td th:text="${d.pendapatan}"></td>
                <td class="btn-group">
                    <button type="button" class="btn btn-warning text-white" data-toggle="modal" data-target="#exampleModal" th:attrappend="data-target=${d.id}">
                        Edit
                    </button>
                    <button type="button" class="btn btn-danger text-white" data-toggle="modal" data-target="#hapusConfirm" th:attrappend="data-target=${d.id}">
                        Hapus
                    </button>
<!-- Modal konfirmasi Hapus-->
<div class="modal fade" id="hapusConfirm" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true" th:attrappend="id=${d.id}">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLongTitle">Hapus Data</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <p >Yakin hapus data customer :
                </p>
                <p th:text="${d.nama}"> </p>
            </div>
            <form class="form-horizontal" th:action="@{/customer/hapus/{path}(path=${d.id})}" method="post">
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Tutup</button>
                <button type="submit" class="btn btn-primary">Yakin</button>
            </div>
            </form>
        </div>
    </div>
</div>
<!--                   modal edit data cust-->
<div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" th:attrappend="id=${d.id}">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <form class="form-horizontal" th:object="${addCust}" th:action="@{/customer/create}" method="post">
            <div class="modal-body">
                <div class="row">
                    <div class="col-sm-12">
                        <input type="hidden" name="id" th:value ="${d.id}" >
<!--                                                        <input type="hidden" name="version" th:value ="${d.version}" >-->

                        <div class="form-group">
                            <label for="exampleFormControlInput1">Nama Customer</label>
                            <input type="text" class="form-control" id="exampleFormControlInput1" name="nama" placeholder="Nama Customer" th:value="${d.nama}">
                        </div>

                        <div class="form-group">
                            <label for="exampleFormControlTextarea1">Alamat</label>
                            <textarea class="form-control" id="exampleFormControlTextarea1" rows="3" name="alamat" type="text" th:text="${d.alamat}"></textarea>
                        </div>

                        <div class="form-group">
                            <label class="col-md-4" for="exampleFormControlSelect1">Kota :</label>
                            <select class="form-control input-md" id="exampleFormControlSelect1" name="kota">
                            <option th:each="s : ${listKota}" th:value="${s.id}" th:text="${s.nama}" th:selected="(${s.id} == ${d.kota.id})"></option>
                            </select>
                        </div>

                        <div class="form-group">
                            <label for="exampleFormControlInput2">Pendapatan </label>
                            <input type="text" class="form-control" id="exampleFormControlInput2" name="pendapatan" placeholder="Pendapatan" th:value="${d.pendapatan}">
                        </div>


                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#editConfirm" th:attrappend="data-target=${d.id}">Save changes</button>
                <div class="modal fade" id="editConfirm" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true" th:attrappend="id=${d.id}">
                    <div class="modal-dialog modal-dialog-centered" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title" >Konfirmasi Edit Data</h5>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">
                                <p >Yakin edit data customer :
                                </p>
                                <p th:text="${d.nama}"> </p>
                            </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Tutup</button>
                                    <button type="submit" class="btn btn-primary">Yakin</button>
                                </div>
                        </div>
                    </div>
                </div>
            </div>
            </form>
        </div>
    </div>
</div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>

    <div>
        <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#tambahModal" >Tambah...</button>
    </div>
    <div class="modal fade" id="tambahModal" tabindex="-1" aria-labelledby="exampleModalLabel1" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel1">Modal title</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form class="form-horizontal" name="myForm" th:object="${addCust}" th:action="@{/customer/create}" method="post" onsubmit="return validateNama()">
                    <div class="modal-body">
                        <div class="row">
                            <div class="col-sm-12">

                                <div class="form-group">
                                    <label for="exampleFormControlInput3">Nama Customer Tmbah</label>
                                    <input type="text" class="form-control" id="exampleFormControlInput3" placeholder="Nama Customer" th:field="*{nama}">
                                </div>

                                <div class="form-group">
                                    <label for="exampleFormControlTextarea4">Alamat</label>
                                    <textarea class="form-control" id="exampleFormControlTextarea4" rows="3" name="alamat" type="text" th:field="*{alamat}"></textarea>
                                </div>

                                <div class="form-group">
                                    <label class="col-md-4" for="kota">Kota :</label>
                                    <select class="form-control input-md" id="kota" th:field="*{kota}">
                                        <option th:each="s : ${listKota}" th:value="${s.id}" th:text="${s.nama}"></option>
                                    </select>
                                </div>

                                <div class="form-group">
                                    <label for="exampleFormControlInput6">Pendapatan </label>
                                    <input type="text" class="form-control" id="exampleFormControlInput6" name="pendapatan" placeholder="Pendapatan" th:field="*{pendapatan}">
                                </div>

<!--                                <div class="form-group">-->
<!--                                    <label for="exampleFormControlInput100">Kota Id </label>-->
<!--                                    <input type="text" class="form-control" id="exampleFormControlInput100" placeholder="Kota" th:field="*{kota}">-->
<!--                                </div>-->
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="button" class="btn btn-primary new-modal" data-toggle="modal" data-target="#addConfirm">Tambah</button>
                        <div class="modal fade" id="addConfirm" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
                            <div class="modal-dialog modal-dialog-centered" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" >Konfirmasi Tambah Data</h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                        <p >Yakin tambah data customer?
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-secondary cancel-add-confirm" data-dismiss="modal">Cancel</button>
                                        <button type="submit" class="btn btn-primary">Yakin</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <!-- Modal -->



</main><!-- /.container -->

<!-- Bootstrap core JavaScript
================================================== -->
<!-- Placed at the end of the document so the pages load faster -->

<script th:src="@{/js/jquery.js}"></script>
<script th:src="@{/js/popper.js}"></script>
<script th:src="@{/js/bootstrap.js}"></script>
<script>
    function validateNama() {
        let x =document.forms["myForm"]["nama"].value;
        var pattern = new RegExp(/[~`!#$%\^&*+=\-\[\]\\';,/{}|\\":<>\?]/);
        if (x === ""){
            alert("Nama Harus Diisi")
            $('#addConfirm').modal('hide')
            return false
        }
        if(pattern.test(x)){
            alert("Nama hanya bisa diisi huruf dan spasi")
            $('#addConfirm').modal('hide')
            return false
        }
    }
</script>
</body>
</html>
